package cn.com.qmth.stmms.api.dto;

import java.util.List;

import cn.com.qmth.stmms.biz.mark.model.MarkConfigItem;

public class GroupDTO {

    private Integer number;

    private List<MarkConfigItem> picConfig;

    private Double doubleRate;

    private Double arbitrateThreshold;

    private Integer scorePolicy;

    private Boolean enableAllZero;

    private String markMode;

    private List<GroupQuestionDTO> questions;

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public List<MarkConfigItem> getPicConfig() {
        return picConfig;
    }

    public void setPicConfig(List<MarkConfigItem> picConfig) {
        this.picConfig = picConfig;
    }

    public Double getDoubleRate() {
        return doubleRate;
    }

    public void setDoubleRate(Double doubleRate) {
        this.doubleRate = doubleRate;
    }

    public Double getArbitrateThreshold() {
        return arbitrateThreshold;
    }

    public void setArbitrateThreshold(Double arbitrateThreshold) {
        this.arbitrateThreshold = arbitrateThreshold;
    }

    public Integer getScorePolicy() {
        return scorePolicy;
    }

    public void setScorePolicy(Integer scorePolicy) {
        this.scorePolicy = scorePolicy;
    }

    public Boolean getEnableAllZero() {
        return enableAllZero;
    }

    public void setEnableAllZero(Boolean enableAllZero) {
        this.enableAllZero = enableAllZero;
    }

    public String getMarkMode() {
        return markMode;
    }

    public void setMarkMode(String markMode) {
        this.markMode = markMode;
    }

    public List<GroupQuestionDTO> getQuestions() {
        return questions;
    }

    public void setQuestions(List<GroupQuestionDTO> questions) {
        this.questions = questions;
    }

}
